Index: trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltt.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltt.pro	(revision 157)
+++ trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltt.pro	(revision 163)
@@ -15,8 +15,8 @@
 ;            be masked at the value valmask) and nevertheless,type must be specified 
 ;            to we know of which trace it is about.
-;            To have a correct caption, respecify the  xctraction zone via BOXZOOM.
+;            To have a correct caption, respecify the  extraction zone via BOXZOOM.
 ;          * 1d: only for traces of the 't' type. Nevertheless, type must be specified 
 ;            to we know of which trace it is about.
-;            To have a correct caption, respecify the  xctraction zone via BOXZOOM.
+;            To have a correct caption, respecify the  extraction zone via BOXZOOM.
 ;       2) a structure respecting all criterions specified by litchamp.pro. 
 ;          See IDL> xhelp,'litchamp'. The array contained in the structure 
@@ -38,5 +38,5 @@
 ;
 ; @keyword BOXZOOM
-; Vector indicating the geographique zone (3d) on which the extraction of the field must 
+; Vector indicating the geographic zone (3d) on which the extraction of the field must 
 ; be done to do the hovmoeller.
 ;  If BOXZOOM has :
@@ -56,33 +56,31 @@
 ; If this keyword is not specified, we trace 20 isolines from the min to the max. 
 ;
-; @keyword CONTLABEL 
-; It is an integer n. When CONTOUR is actvated, if n
+; @keyword CONTLABEL {type=integer}
+; When CONTOUR is activated, if n
 ; is different of 0, choose the label type corresponding to n cases for 
 ; the traced by a traitisolines. To specify the type of label of the 
 ; colored contour, use LABEL
 ;
-; @keyword CONTMAX 
+; @keyword CONTMAX {default=we take the max of the array passed in the keyword CONTOUR (on ocean points)}
 ; When CONTOUR is activated, max value we want to consider in the isoline 
-; traced by a trait's line. By default, we take the max (on ocean points) of the array 
-; passed in the keyword CONTOUR. 
-;
-; @keyword CONTMIN 
+; traced by a trait's line. 
+;
+; @keyword CONTMIN {default=we take the min of the array passed in the keyword CONTOUR (on ocean points)}
 ; When CONTOUR is activated, min value we want to consider in the isoline 
-; traced by a trait's line. By default, we take the min (on ocean points) of the array 
-; passed in the keyword CONTOUR. 
-;
-; @keyword CONTNLEVEL 
-; When  CONTOUR is activated, it is the numbre of contours
+; traced by a trait's line. 
+;
+; @keyword CONTNLEVEL {default=20}
+; When  CONTOUR is activated, it is the number of contours
 ; traced by a trait for drawing (active if
-; CONTLABEL=0) by default=20.
+; CONTLABEL=0).
 ;
 ; @keyword CONTOUR 
 ; If we want to trace contours of a different field than the one 
-; whose we have the colored drawing (by examlpe E-P in color and QSR in contours). 
-; It must be a field respecting same caracteristics than the argument number one of pltt.
+; whose we have the colored drawing (by example E-P in color and QSR in contours). 
+; It must be a field respecting same characteristics than the argument number one of pltt.
 ;
 ; @keyword ENDPOINTS 
-; keyword specifing that we want to make a vertical cut in diagonal. Then coorinated of extremities 
-; of these one are difined by the 4 elements of the vector ENDPOINTS: [x1,y1,x2,y2] which are 
+; keyword specifying that we want to make a vertical cut in diagonal. Then coordinated of extremities 
+; of these one are defined by the 4 elements of the vector ENDPOINTS: [x1,y1,x2,y2] which are 
 ; coordinates. 
 ;
@@ -104,9 +102,9 @@
 ;               (without use the black, the white and the used palette)
 ; 
-; @keyword LABEL 
-; It is an integer n. If n different of 0, it choose the label's type 
+; @keyword LABEL {type=integer}
+; If n different of 0, it choose the label's type 
 ; corresponding to cases n. cf label.pro
 ; Comment: When CONTOUR is activated, it only specify the label's type for colored isolines. 
-; For tese one traced by a trait, use CONTLABEL. 
+; For these one traced by a trait, use CONTLABEL. 
 ;
 ; @keyword COL1d
@@ -124,12 +122,12 @@
 ; keyword is retained.
 ;
-; @keyword NLEVEL 
+; @keyword NLEVEL {default=20}
 ; Number of contour to draw by default =20. active if
 ; LABEL=0 or is not specified.
 ;
-; @keyword CONTNLEVEL 
-; When  CONTOUR is activated, it is the numbre of contours
+; @keyword CONTNLEVEL {default=20}
+; When  CONTOUR is activated, it is the number of contours
 ; traced by a trait for drawing (active if
-; CONTLABEL=0) by default=20.
+; CONTLABEL=0).
 ;
 ; @keyword OV1D 
@@ -146,6 +144,6 @@
 ; specified min and values superior at the specified max in white.
 ;
-; @keyword STYLE 
-; Contour's style to adopt to draw isolines(by default, style=0. see style.pro)
+; @keyword STYLE {default=style=0}
+; Contour's style to adopt to draw isolines
 ;
 ; @keyword STY1D 
@@ -161,7 +159,10 @@
 ; allows to specify the type of hovmoller we want to do
 ;             'xt','yt','zt','t'  
-; with help of a keyword rather than the argument type. If the argument andthe 
+; with help of a keyword rather than the argument type. If the argument and the 
 ; keyword are specified in the same time, it is the value specified by the 
 ; keyword which is retained.
+;
+; @keyword _EXTRA
+; Used to pass your keywords
 ;
 ; @uses
